api / APIServerImpl / provideProtocolResponse

# provideProtocolResponse

`fun provideProtocolResponse(protocol: ProtocolInstanceRef, choice: SecureHash, args: Map<String, Any?>): Unit`
Overrides APIServer.provideProtocolResponse

Provide the response that a protocol is waiting for.

### Parameters

`protocol` - Should refer to a previously supplied ProtocolRequiringAttention.
`stepId` - Which step of the protocol are we referring too.
`choice` - Should be one of the choices presented in the ProtocolRequiringAttention.
`args` - Any arguments required.